#Example  - Chapter 4#


#download the data "example_chapter4.RData" to C:\regression\ 

# assign the working directory 
setwd ("C:/regression/")

# load "example_chapter4.rdata" 

load ("example_chapter4.rdata")


#"example_chapter4" is the name of the data frame


#descriptive statistics 

# Method 1 - mean, median, standard deviation, variance, min, max, range
mean(example_chapter4$income)
median(example_chapter4$income)
var(example_chapter4$income)
sd(example_chapter4$income)
min(example_chapter4$income)
max(example_chapter4$income)

mean(example_chapter4$labor)
median(example_chapter4$labor)
var(example_chapter4$labor)
sd(example_chapter4$labor)
min(example_chapter4$labor)
max(example_chapter4$labor)

# Method 2- mean, median, standard deviation, variance, min, max, range 
# need a package "pastecs"
install.packages("pastecs")

library (pastecs)

stat.desc(example_chapter4)


# frequency
# need a package "descr"
install.packages("descr")

library(descr)

freq(example_chapter4$academic, plot=FALSE)


#creating dummy variables, BA as a reference cateory 

#method1
example_chapter4$phd_dummy<-NA
example_chapter4$jd_dummy<-NA

example_chapter4$phd_dummy[example_chapter4$academic=='PhD']<-1
example_chapter4$phd_dummy[example_chapter4$academic=='JD']<-0
example_chapter4$phd_dummy[example_chapter4$academic=='BA']<-0


example_chapter4$jd_dummy[example_chapter4$academic=='PhD']<-0
example_chapter4$jd_dummy[example_chapter4$academic=='JD']<-1
example_chapter4$jd_dummy[example_chapter4$academic=='BA']<-0


#method2 
install.packages("car")

library(car)

example_chapter4$phd_dummy <- recode (example_chapter4$academic, "'PhD' = 1 ; 'JD'=0;'BA' = 0")

example_chapter4$jd_dummy <- recode (example_chapter4$academic, "'PhD' = 0 ; 'JD'=1;'BA' = 0")



#correlation among X's 

cor(cbind(example_chapter4$labor, example_chapter4$phd_dummy, example_chapter4$jd_dummy))

#Multiple regression (with BA as a reference category) - with all the X's

model1_chapter4 <- lm(income~labor+phd_dummy+jd_dummy, data=example_chapter4)
summary(model1_chapter4)
anova(model1_chapter4)

#Multiple regression (with BA as a reference category) - without academic dummy variables

model2_chapter4 <- lm(income~labor, data=example_chapter4)
summary(model2_chapter4)
anova(model2_chapter4)

#Multiple regression (with PhD as a reference category) - with all the X's

example_chapter4$ba_dummy <-NA

example_chapter4$ba_dummy[example_chapter4$academic=='BA'] <-1
example_chapter4$ba_dummy[example_chapter4$academic=='PhD'] <-0
example_chapter4$ba_dummy[example_chapter4$academic=='JD'] <-0

model3_chapter4 <- lm(income~labor+jd_dummy+ba_dummy, data=example_chapter4)
summary(model3_chapter4)
anova(model3_chapter4)


#creating interaction terms 

example_chapter4$inter1 <- example_chapter4$labor * example_chapter4$phd_dummy

example_chapter4$inter2 <- example_chapter4$labor * example_chapter4$jd_dummy

#multiple regression with interaction terms 
model4_chapter4 <- lm(income~labor+phd_dummy+jd_dummy+inter1+inter2, data=example_chapter4)
summary(model4_chapter4)
anova(model4_chapter4)



